Subject: Re: [PATCH net-next 2/4] net/smc: remove the fallback in __smc_connect

From: Simon Horman <[email-masked]>
Date: Tue, 30 Jul 2024 19:57:47 +0100

On Tue, Jul 30, 2024 at 09:25:04AM +0800, Zhengchao Shao wrote:
> When the SMC client begins to connect to server, smcd_version is set
> to SMC_V1 + SMC_V2. If fail to get VLAN ID, only SMC_V2 information
> is left in smcd_version. And smcd_version will not be changed to 0.
> Therefore, remove the fallback caused by the failure to get VLAN ID.
> 
> Signed-off-by: Zhengchao Shao <[email-masked]>

Thanks,

I agree that smcd_version, which is initialised just above the code
modified by this patch, cannot be 0 at the point of the check removed by
this patch.

Reviewed-by: Simon Horman <[email-masked]>